summaryrefslogtreecommitdiff
path: root/intl/tst-gettext.sh
diff options
context:
space:
mode:
authorUlrich Drepper <drepper@redhat.com>2000-10-31 03:10:13 +0000
committerUlrich Drepper <drepper@redhat.com>2000-10-31 03:10:13 +0000
commitcdfb970dd9c20861d7fdac16435d70792b8a027a (patch)
treedfa5497c0b5b06408284073aa184688091b065c4 /intl/tst-gettext.sh
parent42fea164a2f975da1b1bb687bf1a50506b59a668 (diff)
Update.
* locale/findlocale.c (free_mem): We can remove NODELETE marked data, just not the C locale data. * intl/tst-gettext.c: Use setlocale() in addition to setting envvar. * intl/tst-gettext.sh: Copy locale data if necessary. * intl/Makefile (generated-dirs): Add localedir. * intl/dcigettext.c (guess_category_value): For libc always use the setlocale() method. * intl/Makefile: Add rules to build, run and, distribute tst-gettext2. * intl/tst-gettext2.c: New file. * intl/tst-gettext2.sh: New file. * intl/tstlang1.po: New file. * intl/tstlang2.po: New file. Patch by Andreas Jaeger <aj@suse.de>. 2000-10-26 GOTO Masanori <gotom@debian.or.jp> * intl/locale.alias: Add ja_JP.ujis alias. 2000-10-30 Ulrich Drepper <drepper@redhat.com>
Diffstat (limited to 'intl/tst-gettext.sh')
-rwxr-xr-xintl/tst-gettext.sh18
1 files changed, 16 insertions, 2 deletions
diff --git a/intl/tst-gettext.sh b/intl/tst-gettext.sh
index 42436fe5bf..c5898943d2 100755
--- a/intl/tst-gettext.sh
+++ b/intl/tst-gettext.sh
@@ -31,10 +31,24 @@ export LC_ALL
# Generate the test data.
test -d ${objpfx}domaindir || mkdir ${objpfx}domaindir
-# Create the locale directories.
+test -d ${objpfx}localedir || mkdir ${objpfx}localedir
+# Create the domain directories.
test -d ${objpfx}domaindir/existing-locale || mkdir ${objpfx}domaindir/existing-locale
test -d ${objpfx}domaindir/existing-locale/LC_MESSAGES || mkdir ${objpfx}domaindir/existing-locale/LC_MESSAGES
test -d ${objpfx}domaindir/existing-locale/LC_TIME || mkdir ${objpfx}domaindir/existing-locale/LC_TIME
+# Create the locale directories.
+test -d ${objpfx}localedir/existing-locale || {
+ mkdir ${objpfx}localedir/existing-locale
+ for f in ADDRESS COLLATE CTYPE IDENTIFICATION MEASUREMENT MONETARY NAME NUMEIRC PAPER TELEPHONE TIME; do
+ cp ${common_objpfx}localedata/de_DE.ISO-8859-1/LC_$f \
+ ${objpfx}localedir/existing-locale
+ done
+}
+test -d ${objpfx}localedir/existing-locale/LC_MESSAGES || {
+ mkdir ${objpfx}localedir/existing-locale/LC_MESSAGES
+ cp ${common_objpfx}localedata/de_DE.ISO-8859-1/LC_MESSAGES/SYS_LC_MESSAGES \
+ ${objpfx}localedir/existing-locale/LC_MESSAGES
+}
# Populate them.
msgfmt -o ${objpfx}domaindir/existing-locale/LC_MESSAGES/existing-domain.mo \
@@ -43,7 +57,7 @@ msgfmt -o ${objpfx}domaindir/existing-locale/LC_TIME/existing-time-domain.mo \
../po/de.po
# Now run the test.
-MALLOC_TRACE=$malloc_trace \
+MALLOC_TRACE=$malloc_trace LOCPATH=${objpfx}localedir:$LOCPATH \
${common_objpfx}elf/ld.so --library-path $common_objpfx \
${objpfx}tst-gettext > ${objpfx}tst-gettext.out ${objpfx}domaindir